**This is a reupload of ExtinguishFire v1.0.0 by ilzd from NexusMods**

## Features  
  
- **Recover resources**: In Valheim, you can't recover fuel once it's put it into a fireplace, therefore if you are done using it, any unused fuel will be wasted. This mod allows you to recover unused fuel from a fireplace. If your fireplace is burning and has, for example, 5 fuel units in it, this mod considers that the fireplace is using 1 fuel unit to keep the fire lit and 4 is unused, so you can recover those 4 units back, while the one left will keep the fire lit until it's depleted.  
  
- **Extinguish fire**: Valheim fire visual effects can be a huge problem for performance, specially if you have multiple fireplaces close to each other, but unfortunately the game doesn't allow you to extinguish fires (except when the fuel is depleted). This mod allow you to extinguish fires when you are done cooking (or lighting an area).  

## Installation  

This mod requires [BepInExPack Valheim](https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/)  

Extract the LzD_ExtinguishFire.dll into the BepInEx plugins folder.  
After you are done, the folders should look like this:  
BepInEx /  
&ensp;&ensp;&ensp;plugins /  
&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;LzD_ExtinguishFire.dll  

Alternatively, you case use a mod manager like [r2modman](https://valheim.thunderstore.io/package/ebkr/r2modman/).  

## Usage  

  When you look at a fireplace, another option will be available, it's called "Collect fuel / Extinguish fire" and it will have the default hotkey "LeftAlt" associated with it. In the mod configuration, you can choose another hotkey if you want (see below).  

  **When** this option is used, and the fireplace has **more than 1 fuel** unit (in other words, if it has unused fuel), it will **remove the unused fuel** and drop it on the ground so you can collect it.  

  **When** the fireplace has **only 1 fuel** unit (the one keeping the fire lit), it will **extinguish the fire**.  

  So if you have a fireplace with more than 1 fuel unit and you want to extinguish the fire, you can simply execute the action twice, one press to remove unused fuel, and the other to finally extinguish the fire.  

<p style="text-align: center"><img src="https://i.imgur.com/1OF6ntm.png"></p>

## Configuration  

This mods allow you to configure it's behavior. To do that, I recommend using [Enhanced BepInEx Configuration Manager](https://www.nexusmods.com/site/mods/529).  
But you can also do it manually by editing the config file "Valheim/BepInEx/config/lzd_extinguishfire.cfg".  
If you want to do it manually, keep in mind that the config file is created when you first launch the game after installing the mod.  

In the mod's configuration, you can change:  
- Action Hotkey  
- Enable/disable mod completely  
- Enable/disable console logs  

## Credits  

Author: [ilzd](https://www.nexusmods.com/valheim/users/195424334?tab=user+files)  

NexusMods: [Extinguish Fire](https://www.nexusmods.com/valheim/mods/2628)